at.chipkarte.client.sas.soap

## Interface ISasService

-     public interface ISasService

  Dieses Service stellt die Funktionalitäten des SV-Nummern-Abfrage-Service (SAS) zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adressdaten` | `adressdatenAbfragen(String dialogId, String svNummer)` Diese Funktion ermöglicht die Abfrage der Adressdaten eines Patienten anhand dessen Sozialversicherungsnummer.
    `AbfrageErgebnis` | `patientendatenAbfragen(String dialogId, String svNummer)` Diese Funktion ermöglicht die Abfrage der Personendaten eines Patienten anhand dessen Sozialversicherungsnummer.
    `AbfrageErgebnis` | `svNummerAbfragen(String dialogId, Suchkriterien svNummerAbfragenSuchkriterien)` Diese Funktion führt eine SV-Nummern-Abfrage durch.

- - ### Method Detail

    - #### svNummerAbfragen

          AbfrageErgebnis svNummerAbfragen(String dialogId,
                                           Suchkriterien svNummerAbfragenSuchkriterien)
                                    throws AccessException,
                                           DialogException,
                                           ServiceException,
                                           InvalidParameterSuchkriterienException,
                                           SasException

      Diese Funktion führt eine SV-Nummern-Abfrage durch. Dabei wird die SV-Nummer einer SV-Person anhand der übergebenen Suchkriterien in der e-card-Datenbank gesucht.

      Es wird nur dann ein Ergebnis zurückgeliefert, wenn die Suchkriterien exakt mit den Daten der SV-Person in der Datenbank übereinstimmen, wobei folgende Ausnahmen gelten:

      - Die erlaubten Trennzeichen werden als äquivalent betrachtet (z.B. findet "Hans Peter" auch "Hans-Peter").
      - Die Groß-/Kleinschreibung wird ignoriert (z.B. findet "mayer" auch "Mayer").

      Weiters werden nur eindeutige Treffer zurückgegeben. Bei Mehrfachtreffern oder falls kein Treffer gefunden wurde, wird eine SasException zurückgeliefert.

      Voraussetzungen:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Modus (siehe `checkStatus`).
      - Zugriff auf SAS (siehe `SAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `svNummerAbfragenSuchkriterien` - Die Suchkriterien für die SV-Nummern-Abfrage.
      Returns:
        Das AbfrageErgebnis der SV-Nummern-Abfrage.
      Throws:
        `AccessException` - `MISSING_SAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `InvalidParameterSuchkriterienException` - `FAMILIENNAME_NICHT_BEFUELLT`, `FAMILIENNAME_ZU_LANG`, `GEBURTSDATUM_NICHT_BEFUELLT`, `GEBURTSDATUM_UNGUELTIG`, `VORNAME_NICHT_BEFUELLT`, `VORNAME_ZU_LANG`
        `SasException` - `KEIN_TREFFER`, `MEHRERE_TREFFER`

    - #### patientendatenAbfragen

          AbfrageErgebnis patientendatenAbfragen(String dialogId,
                                                 String svNummer)
                                          throws AccessException,
                                                 DialogException,
                                                 ServiceException,
                                                 InvalidParameterSuchkriterienException,
                                                 SasException

      Diese Funktion ermöglicht die Abfrage der Personendaten eines Patienten anhand dessen Sozialversicherungsnummer.

      Voraussetzungen:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Modus (siehe `checkStatus`).
      - Zugriff auf SAS (siehe `SAS_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten, für den die Daten ermittelt werden sollen.
      Returns:
        Das AbfrageErgebnis der SV-Nummern-Abfrage.
      Throws:
        `AccessException` - `MISSING_SAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `InvalidParameterSuchkriterienException` - `INVALID_SV_NUMBER`
        `SasException` - `NO_SVPERSON`

    - #### adressdatenAbfragen

          Adressdaten adressdatenAbfragen(String dialogId,
                                          String svNummer)
                                   throws AccessException,
                                          DialogException,
                                          ServiceException,
                                          InvalidParameterSuchkriterienException,
                                          SasException

      Diese Funktion ermöglicht die Abfrage der Adressdaten eines Patienten anhand dessen Sozialversicherungsnummer.

      Voraussetzungen:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Modus (siehe `checkStatus`).
      - Zugriff auf SAS (siehe `SAS_CORE`) und das Recht zur Adressabfrage (siehe `SAS_ADRESSABFRAGE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten, für den die Daten ermittelt werden sollen.
      Returns:
        Das AbfrageErgebnis der Adressdaten-Abfrage.
      Throws:
        `AccessException` - `MISSING_SAS_CORE`, `MISSING_SAS_ADRESSABFRAGE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `InvalidParameterSuchkriterienException` - `INVALID_SV_NUMBER`
        `SasException` - `NO_SVPERSON`, `ADRESSE_UNBEKANNT`, `BACKENDSYSTEM_NOT_AVAILABLE`, `BACKENDSYSTEM_SYSTEM_ERROR`, `BACKENDSYSTEM_SYSTEM_WARNING`, `ADRESSABFRAGE_ERROR`